| FlexDoc/XML XSDDoc Demo | XML Schemas for MathML 3.0

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML Schema "mathml3-strict-content.xsd"
Target Namespace:
http://www.w3.org/1998/Math/MathML
Defined Components:
elements (9 global + 2 local), simpleTypes (2), element groups (5), attribute groups (1)
Default Namespace-Qualified Form:
Local Elements: qualified; Local Attributes: unqualified
Schema Location:
http://www.w3.org/Math/XMLSchema/mathml3/mathml3-strict-content.xsd; see XML source
Included in Schemas (1):
mathml3-content.xsd [src]

All Element Summary
m:apply |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType (extension of m:apply.content)
Content: | complex, 6 attributes, attr. wildcard, 66 elements
Defined: | globally; see XML source
Referenced: | by 1 location
m:bind |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType (extension of m:bind.content)
Content: | complex, 6 attributes, attr. wildcard, 66 elements
Defined: | globally; see XML source
Referenced: | by 1 location
m:cbytes |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType (extension of m:base64)
Content: | simple, 8 attributes, attr. wildcard
Defined: | globally; see XML source
Referenced: | by 1 location
m:cerror |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType
Content: | complex, 6 attributes, attr. wildcard, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | by 1 location
m:ci |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType (extension of m:ci.content)
Content: | complex, 9 attributes, attr. wildcard, 2 elements
Defined: | globally; see XML source
Referenced: | by 3 locations
m:cn |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType (extension of m:cn.content)
Content: | complex, 10 attributes, attr. wildcard, 3 elements
Defined: | globally; see XML source
Referenced: | by 1 location
m:cs |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType
Content: | mixed, 8 attributes, attr. wildcard
Defined: | globally; see XML source
Referenced: | by 1 location
m:csymbol |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType (extension of m:csymbol.content)
Content: | complex, 10 attributes, attr. wildcard, 2 elements
Defined: | globally; see XML source
Referenced: | by 2 locations
m:semantics (defined in group m:semantics-ci) |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType
Content: | complex, 10 attributes, attr. wildcard, 4 elements
Defined: | locally in group m:semantics-ci; see XML source
Includes: | declarations of 3 elements
m:semantics (defined in group m:semantics-contexp) |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType
Content: | complex, 10 attributes, attr. wildcard, 60 elements
Defined: | locally in group m:semantics-contexp; see XML source
Includes: | declarations of 2 elements
m:share |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType
Content: | empty, 7 attributes, attr. wildcard
Defined: | globally; see XML source
Referenced: | by 1 location

Simple Type Summary
m:base64 |
Namespace: | http://www.w3.org/1998/Math/MathML
Derived By: | restriction of xs:base64Binary
Defined: | globally; see XML source
Referenced: | by 1 location
m:SymbolName |
Namespace: | http://www.w3.org/1998/Math/MathML
Derived By: | restriction of xs:NCName
Defined: | globally; see XML source
Referenced: | never

Element Group Summary
m:BvarQ |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | by 5 locations
m:ContExp |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 58 elements
Defined: | globally; see XML source
Includes: | declarations of 43 elements
Referenced: | by 21 locations
m:MathExpression |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 60 elements
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | by 18 locations
m:semantics-ci |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | by 2 locations
m:semantics-contexp |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | never

Attribute Group Summary
m:cerror.attributes |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 6 attributes, attr. wildcard
Defined: | globally; see XML source
Referenced: | by 1 location

XML Source
<?xml version="1.0" encoding="UTF-8"?>
<xs:schema elementFormDefault="qualified" targetNamespace="http://www.w3.org/1998/Math/MathML" xmlns:m="http://www.w3.org/1998/Math/MathML" xmlns:xs="http://www.w3.org/2001/XMLSchema">
<xs:group name="ContExp">
<xs:choice>
<!--Ambiguous content model altered (ContExp)-->
<xs:element ref="m:apply"/>
<xs:element ref="m:bind"/>
<xs:element ref="m:ci"/>
<xs:element ref="m:cn"/>
<xs:element ref="m:csymbol"/>
<xs:element ref="m:cbytes"/>
<xs:element ref="m:cerror"/>
<xs:element ref="m:cs"/>
<xs:element ref="m:share"/>
<xs:element ref="m:piecewise"/>
<xs:element ref="m:DeprecatedContExp"/>
<xs:element ref="m:interval.class"/>
<xs:element ref="m:unary-functional.class"/>
<xs:element ref="m:lambda.class"/>
<xs:element ref="m:nary-functional.class"/>
<xs:group ref="m:binary-arith.class"/>
<xs:group ref="m:unary-arith.class"/>
<xs:element ref="m:nary-minmax.class"/>
<xs:element ref="m:nary-arith.class"/>
<xs:element ref="m:nary-logical.class"/>
<xs:element ref="m:unary-logical.class"/>
<xs:element ref="m:binary-logical.class"/>
<xs:element ref="m:quantifier.class"/>
<xs:element ref="m:nary-reln.class"/>
<xs:element ref="m:binary-reln.class"/>
<xs:element ref="m:int.class"/>
<xs:element ref="m:Differential-Operator.class"/>
<xs:element ref="m:partialdiff.class"/>
<xs:element ref="m:unary-veccalc.class"/>
<xs:element ref="m:nary-setlist-constructor.class"/>
<xs:element ref="m:nary-set.class"/>
<xs:element ref="m:binary-set.class"/>
<xs:element ref="m:nary-set-reln.class"/>
<xs:element ref="m:unary-set.class"/>
<xs:element ref="m:sum.class"/>
<xs:element ref="m:product.class"/>
<xs:element ref="m:limit.class"/>
<xs:element ref="m:unary-elementary.class"/>
<xs:element ref="m:nary-stats.class"/>
<xs:element ref="m:nary-constructor.class"/>
<xs:element ref="m:unary-linalg.class"/>
<xs:element ref="m:nary-linalg.class"/>
<xs:element ref="m:binary-linalg.class"/>
<xs:element ref="m:constant-set.class"/>
<xs:element ref="m:constant-arith.class"/>
</xs:choice>
</xs:group>
<xs:element name="cn">
<xs:complexType>
<xs:complexContent>
<xs:extension base="m:cn.content">
<xs:attributeGroup ref="m:cn.attributes"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>
</xs:element>
<xs:group name="semantics-ci">
<xs:sequence>
<xs:element name="semantics">
<xs:complexType>
<xs:sequence>
<xs:choice>
<xs:element ref="m:ci"/>
<xs:group ref="m:semantics-ci"/>
</xs:choice>
<xs:choice maxOccurs="unbounded" minOccurs="0">
<xs:element ref="m:annotation"/>
<xs:element ref="m:annotation-xml"/>
</xs:choice>
</xs:sequence>
<xs:attributeGroup ref="m:semantics.attributes"/>
</xs:complexType>
</xs:element>
</xs:sequence>
</xs:group>
<xs:group name="semantics-contexp">
<xs:sequence>
<xs:element name="semantics">
<xs:complexType>
<xs:sequence>
<xs:group ref="m:ContExp"/>
<xs:choice maxOccurs="unbounded" minOccurs="0">
<xs:element ref="m:annotation"/>
<xs:element ref="m:annotation-xml"/>
</xs:choice>
</xs:sequence>
<xs:attributeGroup ref="m:semantics.attributes"/>
</xs:complexType>
</xs:element>
</xs:sequence>
</xs:group>
<xs:element name="ci">
<xs:complexType>
<xs:complexContent>
<xs:extension base="m:ci.content">
<xs:attributeGroup ref="m:ci.attributes"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>
</xs:element>
<xs:element name="csymbol">
<xs:complexType>
<xs:complexContent>
<xs:extension base="m:csymbol.content">
<xs:attributeGroup ref="m:csymbol.attributes"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>
</xs:element>
<xs:simpleType name="SymbolName">
<xs:restriction base="xs:NCName"/>
</xs:simpleType>
<xs:group name="BvarQ">
<xs:sequence>
<xs:element maxOccurs="unbounded" minOccurs="0" ref="m:bvar"/>
</xs:sequence>
</xs:group>
<xs:element name="apply">
<xs:complexType>
<xs:complexContent>
<xs:extension base="m:apply.content">
<xs:attributeGroup ref="m:CommonAtt"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>
</xs:element>
<xs:element name="bind">
<xs:complexType>
<xs:complexContent>
<xs:extension base="m:bind.content">
<xs:attributeGroup ref="m:CommonAtt"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>
</xs:element>
<xs:element name="share">
<xs:complexType>
<xs:attributeGroup ref="m:CommonAtt"/>
<xs:attributeGroup ref="m:src"/>
</xs:complexType>
</xs:element>
<xs:element name="cerror">
<xs:complexType>
<xs:sequence>
<xs:element ref="m:csymbol"/>
<xs:group maxOccurs="unbounded" minOccurs="0" ref="m:ContExp"/>
</xs:sequence>
<xs:attributeGroup ref="m:cerror.attributes"/>
</xs:complexType>
</xs:element>
<xs:attributeGroup name="cerror.attributes">
<xs:attributeGroup ref="m:CommonAtt"/>
</xs:attributeGroup>
<xs:element name="cbytes">
<xs:complexType>
<xs:simpleContent>
<xs:extension base="m:base64">
<xs:attributeGroup ref="m:cbytes.attributes"/>
</xs:extension>
</xs:simpleContent>
</xs:complexType>
</xs:element>
<xs:simpleType name="base64">
<xs:restriction base="xs:base64Binary"/>
</xs:simpleType>
<xs:element name="cs">
<xs:complexType mixed="true">
<xs:attributeGroup ref="m:cs.attributes"/>
</xs:complexType>
</xs:element>
<xs:group name="MathExpression">
<xs:choice>
<xs:group ref="m:ContExp"/>
<xs:element ref="m:PresentationExpression"/>
<xs:group ref="m:semantics"/>
</xs:choice>
</xs:group>
</xs:schema>

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.